local Henhouse = ...

-- Register prefab nodes (currently only one core model)
Henhouse:registerAssetId("models/pv2_henhouse.fbx/Prefab/henhousePart", "PV2_HENHOUSE_PREFAB")
Henhouse:registerAssetId("models/pv2_henhouse.fbx/Prefab/henhousePart/poule1", "PV2_HEN_PREFAB")

Henhouse:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "PV2_HENHOUSE",
	Name = "PV2_HENHOUSE_NAME",
	Description = "PV2_HENHOUSE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartSetList = {
		{
			Name = "PV2_HENHOUSE_NAME",
                	BuildingPartList = { "PV2_HENHOUSE_PART" }
                }
        }
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 9 }
})

-- Register the shoemaker workplace part
Henhouse:register({
	DataType = "BUILDING_PART",
	Id = "PV2_HENHOUSE_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PV2_HENHOUSE_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 4, 4},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "PV2_HENHOUSE_PREFAB",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	AssetBuildingFunction = "FUNCTION_PV2_HENHOUSE"
})

Henhouse:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "FUNCTION_PV2_HENHOUSE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "PV2_HEN_BREEDER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "WHEAT", Quantity = 2 }
                },
                ResourceListNeeded = {
                	{ Resource = "WHEAT", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "PV2_EGG", Quantity = 4 }
                }
})

-- Register grass clearing components

Henhouse:registerPrefabComponent("models/pv2_henhouse.fbx/Prefab/henhousePart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {5, 5}
})
